# Article server

## Prerequisites

Have the following software installed :
- docker
- docker-compose
- java 8

## Launch the application

In the root application folder type

`docker-compose up`

and then

`./mvnw spring-boot:run`

## Connect to the app

### Application

[http://127.0.0.1:8080](http://127.0.0.1:8080)

### Couchbase server

[http://127.0.0.1:8091](http://127.0.0.1:8091)

Login credentials : admin / adminadmin

### Sync gateway

[http://127.0.0.1:4985/_admin/](http://127.0.0.1:4985/_admin/)

